import React from "react";
import "./style.css";

const ChatBoxMessages = (props) => {
  
  function Text(content) {
	const words = content.split(' ');
         return(
                <p>
	           {words.map((word) => {
				return word.startsWith('http') ? (
					<>
						<a href={word}>{word}</a>{' '}
					</>
				) : (
					word + ' '
				);
			})}
		</p>
          
         );
  }

  return (
    <div className="chatbox__messages">
      {props.messages.map((item, index) => (
        <div
          key={index}
          className={`messages__item ${
            item.name === "Janet"
              ? "messages__item--visitor"
              : "messages__item--operator"
          }`}
        >
          {Text(item.message)}
        </div>
      ))}
    </div>
  );
};

export default ChatBoxMessages;

