import React, { useState } from "react";
import "./style.css";

import LoginBoxProps from "./LoginBoxProps.js";
import ChatButton from "./ChatButton.js";

const LoginBox = (props) => {
  const {login, updateLogin, messages, updateMessages, user, updateUser } = props.props;
  const [visible, setVisible] = useState(false);

  return (
    <div className="container">
      <div className="chatbox">
        <LoginBoxProps
          props={{ visible, messages, updateMessages, login, updateLogin, user, updateUser }}
        />
        <ChatButton onClick={() => setVisible(!visible)} />
      </div>
    </div>
  );
};

export default LoginBox;

